# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['nonebot_plugin_l4d2_server',
 'nonebot_plugin_l4d2_server.l4d2_anne',
 'nonebot_plugin_l4d2_server.l4d2_data',
 'nonebot_plugin_l4d2_server.l4d2_file',
 'nonebot_plugin_l4d2_server.l4d2_image',
 'nonebot_plugin_l4d2_server.l4d2_queries',
 'nonebot_plugin_l4d2_server.l4d2_server',
 'nonebot_plugin_l4d2_server.l4d2_web']

package_data = \
{'': ['*'],
 'nonebot_plugin_l4d2_server': ['data/L4D2/image/head/*',
                                'data/L4D2/image/header/*',
                                'data/L4D2/image/template/*']}

install_requires = \
['aiohttp>=3.8.3,<4.0.0',
 'amis-python>=1.0.6,<2.0.0',
 'asyncio>=3.4.3',
 'beautifulsoup4>=4.8.0',
 'h11>=0.14.0,<0.15.0',
 'httpx>=0.23.3,<0.24.0',
 'jieba>=0.42.1,<0.43.0',
 'jinja2>=3.0.0',
 'nonebot-adapter-onebot>=2.1.5',
 'nonebot2>=2.0.0rc4,<3.0.0',
 'nonebot_plugin_apscheduler>=0.2.0,<0.3.0',
 'nonebot_plugin_htmlrender>=0.2.0.1,<0.3.0.0',
 'nonebot_plugin_txt2img>=0.3.0',
 'pandas>=1.5.2',
 'patool>=1.12,<2.0',
 'pillow>=9.3.0,<10.0.0',
 'python-a2s>=1.3.0,<2.0.0',
 'python-jose>=3.3.0,<4.0.0',
 'pyunpack>=0.3.0,<0.4.0',
 'rarfile>=4.0,<5.0',
 'rcon>=2.1.0,<3.0.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'srctools>=2.3.9,<3.0.0']

setup_kwargs = {
    'name': 'nonebot-plugin-l4d2-server',
    'version': '0.4.9',
    'description': 'L4D2 server related operations plugin for NoneBot2',
    'long_description': '<div align="center">\n  <img src="https://raw.githubusercontent.com/Agnes4m/nonebot_plugin_l4d2_server/main/image/logo.png" width="180" height="180"  alt="AgnesDigitalLogo">\n  <br>\n  <p><img src="https://s2.loli.net/2022/06/16/xsVUGRrkbn1ljTD.png" width="240" alt="NoneBotPluginText"></p>\n</div>\n\n<div align="center">\n\n# nonebot_plugin_l4d2_server\n\n_✨Nonebot & Left 4 Dead 2 server操作✨_\n<div align = "center">\n        <a href="https://agnes4m.github.io/l4d2/" target="_blank">文档</a> &nbsp; · &nbsp;\n        <a href="https://agnes4m.github.io/l4d2/reader/#%E5%8A%9F%E8%83%BD-%E6%8C%87%E4%BB%A4-%F0%9F%A4%94" target="_blank">指令列表</a> &nbsp; · &nbsp;\n        <a href="https://agnes4m.github.io/l4d2/bug/">常见问题</a>\n</div><br>\n<a href="https://github.com/Agnes4m/nonebot_plugin_l4d2_server/stargazers">\n        <img alt="GitHub stars" src="https://img.shields.io/github/stars/Agnes4m/nonebot_plugin_l4d2_server" alt="stars">\n</a>\n<a href="https://github.com/Agnes4m/nonebot_plugin_l4d2_server/issues">\n        <img alt="GitHub issues" src="https://img.shields.io/github/issues/Agnes4m/nonebot_plugin_l4d2_server" alt="issues">\n</a>\n<a href="https://jq.qq.com/?_wv=1027&k=HdjoCcAe">\n        <img src="https://img.shields.io/badge/QQ%E7%BE%A4-399365126-orange?style=flat-square" alt="QQ Chat Group">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot_plugin_l4d2_server">\n        <img src="https://img.shields.io/pypi/v/nonebot_plugin_l4d2_server.svg" alt="pypi">\n</a>\n<a href="https://pypi.python.org/pypi/nonebot_plugin_l4d2_server">\n    <img src="https://img.shields.io/pypi/dm/nonebot_plugin_l4d2_server" alt="pypi download">\n</a>\n    <img src="https://img.shields.io/badge/python-3.9+-blue.svg" alt="python">\n    <img src="https://img.shields.io/badge/nonebot-2.0.0rc3-red.svg" alt="NoneBot">\n\n</div>\n\n## 快速使用（env示例）\n\n    # 复制到env文件里，没有默认就是下列值，如需修改安装下面env设置\n    # 所有的多选，用逗号隔开\n    l4_master = [\'1145149191\']            # 允许上传地图的qq号\n    l4_file = [\'/home/ubuntu/l4d2/coop\']  # 本地服务器路径\n    l4_host = [\'127.0.0.1\']               # 服务器ip（建议内网，公网也可以）\n    l4_port = [\'20715\']                   # 服务器端口\n    l4_rcon = [\'1145149191810\']           # 服务器rcon密码，如果没有可以列空str对象元素\n    l4_font = \'simsun.ttc\'                # 服务器字体\n    l4_web = True                         # 网页控制台，默认是关闭\n\n## 主要功能\n\n- 求生服务器-本地多路径操作（传地图）\n- 批量查询指定ip服务器状态和玩家\n- 创意工坊下载和喷漆制作\n- [求生电信服anne](https://github.com/fantasylidong/CompetitiveWithAnne)[查询~](https://sb.trygek.com/l4d_stats/ranking/index.php)\n\n## 如何获取key\n\n为了使得ip不被滥用，我采取这种方式管理。\n\n这并不影响正常使用，如果不需要可以忽略\n\n[点击这里加群](https://jq.qq.com/?_wv=1027&k=HdjoCcAe)并在群内发送“申请求生key”\n如果你只查询自己的服务器ip则可以忽略如下，并且更改env设置：\n\n        l4_tag = [\'呆呆\',\'橘\']      # 这里是内置可以查询的服的list对象\n        l4_key = \'qwertyuiopasdfg\'  # 这里是获取的key，是13个字符组成的字符串\n\n## 提交自己的服务器？\n\n__本项目原旨在方便自己查询管理服务器，如果你希望提供了ip__\n\n__那么我只能尽可能保证您的ip不会泄漏，如果无法承担风险则请勿提供ip__\n\n新增一个json文件，格式如下,文件名与需要响应的指令一致\n\n        {\n        "呆呆": [\n                {\n                "id": 1,\n                "version": "战役",\n                "ip": "43.248.188.17:27031"\n                },\n                {\n                "id": 2,\n                "version": "战役",\n                "ip": "43.248.188.17:27032"\n                }\n        ]\n        }\n\n## 🌐 默认服务器\n\n目前 __已授权__ 的服务器查询，如果需要加入自己的ip可以进qq群私聊群主\n\n| 指令 | 服务器 | op | 数量 |\n|:-----:|:----:|:----:|:----:|\n| 数码 | 爱丽数码想要涩涩 | 爱丽数码 | 4\n| 云 | anne电信服云服 | 东 | 27\n| 呆呆 | 呆呆的小窝 | 提莫大魔王 | 15\n| 橘 | 橘希实香的小窝 | 橘希实香 | 21\n| 竹 | 竹烨 | 竹烨oО柠檬茶 | 21\n| 音理 | 星空列车与白的旅行 | 音理 | 3\n| 尤 | 尤尤 | 晓音 | 3\n| 鱼 | 飞鱼の小窝 | 飞鱼桑 | 3\n| 恋恋 | 恋氏集团雪糕制作研究中心 | 古明地恋 | 1\n| Air | Air | Air | 15\n| 3ks | 为人民服务 | DK | 14\n\n## 🔖 更新日志\n\n<details>\n<summary>展开/收起</summary>\n\n### 0.4.9--2022.4\n\n- 修复h11版本错误的bug\n- 重写了config，下个版本正式使用yaml替代env设置\n- 新增远程连接测试代码\n\n### 0.4.8--2022.4.16\n\n- 新增重载ip\n- 修复了一些windows启动下奇奇怪怪的bug\n\n### 0.4.7--2022.4.13\n\n- 新增模式查询\n- 列表推导替换套娃循环\n\n### 0.4.6--2022.4.9\n\n- 显示无效服\n- 优化服务器排序算法（list.sort()天下第一）\n- 默认关闭web端\n\n### 0.4.5--2022.4.9\n\n- 修bug（恼）\n\n### 0.4.2--2022.4.9\n\n- 修复响应开头匹配出现的重大bug\n- 启用web端\n- web使用yaml管理，未来可能删除env配置\n\n### 0.4.1--2022.3\n\n- 修复rar压缩包命名错误\n- 更新了tag的参数读取方式\n- 确定了传文件私聊比群聊快速\n- 修复了电信服计算错误\n\n### 0.4.0--2022.3.27\n\n- 新增web控制台\n- 修复传图超时参数错误\n- 重写求生ip获取方法 ~ 数据库苦手 ~\n- 重写文档\n- 不再内置ip（毕竟ipv4都暴露太危险了）\n\n### 0.3.7--2022.3\n\n- 新增三方下载网盘\n- 修复windows上传临时文件错误\n- 优化查服流程\n- 优化anne服随机功能\n\n### 0.3.6--2022.3.10\n\n- 暂时关闭web端，后续修改\n- 优化图片显示\n- 修复了海量bug\n- 新增三方图查询\n\n### 0.3.5--2022.3.6\n\n- 新增ping查询（在ip里包括）\n- 新增api查询（未完成）\n- 修复了电信服查询绑定名字无法查询的错误\n- 新增了救援率的显示\n- 新增web端（未完成）\n\n### 0.3.4--2022.3.1\n\n- 新增本地插件smx查询\n- 增加了三个内置群服\n- 修改了图片的UI,变好看了\n- 删减了部分图片和字体，使得轻量化\n- 修复了海量bug\n- 修复了python3.8中typing错误\n\n### 0.3.3--2022.2.26\n\n- 重写协议，使用a2s库，同时解决win端不同报错无法输出\n- 重~抄~写服务器查询UI,解决了不好看的问题\n- 从win测试，解决了一些win特有的bug\n- 重写服务器查询~还得是json~\n- 内置服务器查询系统，可以通过[服务器简称]+[number]/[模式]来访问\n- 新增批量查询服务器，不带参数则返回图片\n\n### 0.3.1--2022.2.22\n\n- 修复了路径识别为str对象的错误\n- 修复了初始化找不到文件的错误\n- 修复了路径拼接错误\n- 在win端成功测试，修复压缩包bug\n- 新增开关协程异步env设置\n- 测试rcon建立通讯\n- 实现切换路径查看地图和使用rcon指令\n\n### 0.3.0--2022.2.18\n\n- 修改了新的env配置，使得支持本地多服务器操作\n- 彻底解决了压缩包解压linux端的问题\n- 解决了win端默认gbk解码的错误\n- 解决rcon指令字体报错\n\n### 0.2.5--2022.2.10\n\n- 修复了依赖不足的bug\n- 更新了电信服战绩个人图片UI\n- 更新了批量服务器查看的UI\n- 修改了传文件为协程异步\n- 优化了部分rcon指令\n- ~tnd7z怎么不去死啊~使用pyunpack库解压7z\n\n### 0.2.4--2022.2.8\n\n- 使用poetry修复了pip安装文件缺失的bug\n\n### 0.2.3--2022.2.7\n\n- 新增坐牢和开牢\n- 修改了获取资源为异步协程却阻碍其他指令的bug\n- 新增json统计部分已知服务器（未来应该独立成库持续更新，如果把您的非公开服记录请联系我删除）\n- 喷剂制作开摆了，推测需要c/c++环境\n- 修改抽取文案\n- 新增查询服务器状态时返回connect ip\n- 修复了服务器查询无响应的时候，因为报错无回复信息的bug\n- 个人信息重置测试代码，下个版本更新\n- 新增求生更新添加和删除\n\n### 0.2.2--2022.2.1\n\n- 新增探监\n- 新增喷漆制作\n- 修复了魔改服务器导致解包错误的bug（就是直接忽略了）\n- 修改了部分对话响应\n\n### 0.2.1--2022.1.25\n\n- 新增电信服获取（东哥的肯定）\n- 优化图片UI\n- 新增云服快捷查询\n- 修复了因为没用玩家，导致的服务器状态查询错误\n- 新增电信服ip爬取（仅仅作为单次更新ip列表）\n\n### 0.2.0--2022.1.21\n\n- 新增创意工坊查询\n- 优化查询图片UI\n- 新增创意工坊文件下载\n- 修复了因为电信服官网前端修改导致查询失败的BUG\n\n### 0.1.7--2022.1.19\n\n- 新增群ip订阅，批量查询\n- 新增图片显示ip状态\n- 修复了因为玩家名字特殊字符导致的utf-8解码错误\n- 更新自己的第三方库VSQ==0.0.6\n\n### 0.1.6--2022.1.15\n\n- 新增ip查询服务器提供玩家数量和名字\n- 增加协程函数修复因为加载顺序导致的错误\n- 更新自己的第三方库VSQ==0.0.4\n\n### 0.1.5--2022.1.15\n\n- 新增服务器控制台指令，新增依赖rcon\n- 重新了数据库，不再使用json而是使用sql3\n- 改写了求生anne信息显示方式：如果单个数据以图片显示，如果多个数据以文字显示\n\n### 0.1.4--2022.1.9\n\n- 新增求生anne详情（看排名）\n- 所有的请求改为httpx\n- 更新了anne信息图片\n- 可选使用模拟谷歌浏览器来获取anne更多数据（~有点屎了，希望大佬救救~)\n\n### 0.1.3--2022.1.7\n\n- 新增绑定昵称和steamid\n- 新增可以艾特人查询anne成绩\n- 新增解绑信息\n\n### 0.1.2--2022.1.6\n\n- 新增支持图片输出\n- 新增查询anne服数据\n\n### 0.1.1--2022.1.5\n\n- 新增删除地图\n- 新增地图改名\n- 新增支持图片输出\n\n### 0.1.0--2022.1.4\n\n- 集中修复了Bug\n\n### 0.0.9--2022.1.4\n\n- 新增上传地图后，检测对比回复新地图名字\n- 修复中文名乱码问题\n\n### 0.0.8--2022.1.4\n\n- 支持vpk格式地图\n- 支持查看所有vpk格式文件\n\n### 0.0.6--2022.1.3\n\n- 修复了7z压缩包的方式，优化代码\n\n### 0.0.1--2022.1.3\n\n- 插件初次发布，可私聊添加地图\n\n</details>\n\n## 🙈 其他\n\n- 本人技术很差，如果您有发现BUG或者更好的建议，欢迎提Issue & Pr\n- 如果本插件对你有帮助，不要忘了点个Star~\n- 本项目仅供学习使用，请勿用于商业用途\n- [GPL-3.0 License](https://github.com/Agnes4m/nonebot_plugin_l4d2_server/blob/main/LICENSE) ©[@Agnes4m](https://github.com/Agnes4m)\n\n## 🌐 感谢\n\n- [nonebot2](https://github.com/nonebot/nonebot2)- 聊天机器人的基础框架\n- [修仙](https://github.com/s52047qwas/nonebot_plugin_xiuxian)- 数据库参考\n- ~~[自己写的求生之路查询库](https://github.com/Agnes4m/VSQ)~~ (已弃用)\n- [@MeetWq](https://github.com/MeetWq)- 非常热心解答nonebot2相关的写法\n  - [可爱小Q](https://github.com/MeetWq/mybot)- 服务器图片参考\n- [群聊学习](https://github.com/CMHopeSunshine/nonebot-plugin-learning-chat)- web控制台参考\n- [日向麻麻](https://github.com/Special-Week)- 代码优化参考\n- [gsuid](https://github.com/KimigaiiWuyi/GenshinUID)- readme和wiki的格式参考\n- 呆呆- 提供三方地图的详细数据\n',
    'author': 'Agnes_Digital',
    'author_email': 'Z735803792@163.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/Agnes4m/nonebot_plugin_l4d2_server',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
